View Issue Details

IDProjectCategoryView StatusLast Update
0014985LazarusLCLpublic2011-12-01 11:22
ReporterStijn SandersAssigned ToFelipe Monteiro de Carvalho 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0014985: TListView.RowSelect:=True doesn't work on Windows CE
Descriptiona listview with RowSelect set to True, still shows the selected item with only the value of the first column in selected color and dotted rectangle.
TagsNo tags attached.
Fixed in Revision22547
LazTarget-
WidgetsetWinCE
Attached Files

Relationships

related to 0008333 resolvedZeljan Rikalo TListView - RowSelect doesn't work 

Activities

Felipe Monteiro de Carvalho

2009-11-10 18:59

developer   ~0032047

Could you post a minimal test project which demonstrates the project? There are lot's of ways of configuring a ListView and I can't quite figure out which options to set to reproduce your bug. A screenshot of what you see in Win32 and in WinCE would also be very good.

2009-11-12 09:01

 

demo14985a.zip (2,893 bytes)

2009-11-12 09:04

 

shot14985a.PNG (13,012 bytes)
shot14985a.PNG (13,012 bytes)

Stijn Sanders

2009-11-12 09:07

reporter   ~0032068

I've uploaded source for a really basic demo app, and a screenshot: on the left a grab of a remote display of a device (not selecting the row clicking on the second column), and on the right the same app built for win32 (properly selecting the entire row by a click on the second column)

Felipe Monteiro de Carvalho

2009-11-12 14:40

developer   ~0032078

I fixed it, please test and close if ok.

Issue History

Date Modified Username Field Change
2009-11-03 16:02 Stijn Sanders New Issue
2009-11-03 16:02 Stijn Sanders Widgetset => WinCE
2009-11-03 23:09 Felipe Monteiro de Carvalho Status new => assigned
2009-11-03 23:09 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2009-11-10 18:59 Felipe Monteiro de Carvalho LazTarget => -
2009-11-10 18:59 Felipe Monteiro de Carvalho Note Added: 0032047
2009-11-10 18:59 Felipe Monteiro de Carvalho Status assigned => feedback
2009-11-10 19:02 Felipe Monteiro de Carvalho Relationship added related to 0008333
2009-11-12 09:01 Stijn Sanders File Added: demo14985a.zip
2009-11-12 09:04 Stijn Sanders File Added: shot14985a.PNG
2009-11-12 09:07 Stijn Sanders Note Added: 0032068
2009-11-12 14:40 Felipe Monteiro de Carvalho Fixed in Revision => 22547
2009-11-12 14:40 Felipe Monteiro de Carvalho Status feedback => resolved
2009-11-12 14:40 Felipe Monteiro de Carvalho Fixed in Version => 0.9.29 (SVN)
2009-11-12 14:40 Felipe Monteiro de Carvalho Resolution open => fixed
2009-11-12 14:40 Felipe Monteiro de Carvalho Note Added: 0032078
2011-12-01 11:22 Marc Weustink Status resolved => closed